The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Problem with updating Courier

Discussion in 'General Discussion' started by apn3a, Apr 30, 2008.

  1. apn3a

    apn3a Member

    Joined:
    Oct 25, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    Hey all,

    so recently i run Upgrade Server Software under WHM. I got this:


    Update Server Software
    cPanel Package Upgrades in Progress...

    Ftp Setup Script Version 6.1
    Fetching version information from http://updates.cpanel.net/ftpinstall/version (RELEASE)....Fetching http://updates.cpanel.net/ftpinstall/version (0)....@75.126.236.226......connected......receiving...100%......Done
    Done
    This is the pure-ftpd 1.0.21 installer release number 4.tls for platform centos 5
    pure-ftpd is up to date. Use ftpup --force to force a reinstall
    MySQL Setup Script Version 7.0
    Fetching http://httpupdate.cpanel.net/mysqlinstall/RELEASE/cPpkgversion (0)....@75.126.236.226......connected......receiving...65%...100%......Done
    Loaded cPPkgs::MySQL ok!
    This is the cPPkgs::MySQL 5.0.45 installer for Linux.
    MySQL 5.0.45 is up to date
    Install Complete
    bandmin Setup Script Version 1.0
    Fetching version information from http://updates.cpanel.net/bandmininstall/version (RELEASE)....Fetching http://updates.cpanel.net/bandmininstall/version (0)....@75.126.236.226......connected......receiving...100%......Done
    Done
    This is the bandmin 1.6.1 installer release number 1 for platform centos 5
    bandmin is up to date. Use bandminup --force to force a reinstall
    courier-imap Setup Script Version 1.0
    Service apop3d init script does not exist!
    Fetching version information from http://updates.cpanel.net/courierinstall/version (RELEASE)....Fetching http://updates.cpanel.net/courierinstall/version (0)....@75.126.236.226......connected......receiving...100%......Done
    Done
    This is the courier-authlib 0.60.2 installer release number 1cp
    courier-authlib is out of date (courier-authlib-0.59.2-1cp
    courier-authlib-0.60.2-1cp != courier-authlib-0.60.2-1cp)
    Using newyum support...
    Loading "installonlyn" plugin
    Setting up Install Process
    Setting up repositories
    Reading repository metadata in from local files
    Excluding Packages in global exclude list
    Finished
    Parsing package install arguments
    Nothing to do
    Resetting courier-authlib to cPanel Defaults and Installing the Latest Version
    Fetching http://updates.cpanel.net/courierin...entos/5/courier-authlib-0.60.2-1cp.x86_64.rpm (0)....@75.126.236.226......connected......receiving...1%...3%...5%...7%...9%...11%...13%...15%...17%...19%...21%...23%...25%...27%...29%...31%...33%...35%...37%...39%...41%...43%...45%...47%...49%...51%...53%...55%...57%...59%...61%...63%...65%...67%...69%...71%...73%...75%...77%...79%...81%...83%...85%...87%...89%...91%...93%...95%...97%...99%...100%......Done
    Preparing... ##################################################
    courier-authlib ##################################################
    This is the courier-imap 4.3.0 installer release number 3cp
    courier-imap is out of date (courier-imap-4.1.2-3cp
    courier-imap-4.3.0-3cp != courier-imap-4.3.0-3cp)
    Using newyum support...
    Loading "installonlyn" plugin
    Setting up Install Process
    Setting up repositories
    Reading repository metadata in from local files
    Excluding Packages in global exclude list
    Finished
    Parsing package install arguments
    Nothing to do
    Resetting courier-imap to cPanel Defaults and Installing the Latest Version
    Fetching http://updates.cpanel.net/courierin...64/centos/5/courier-imap-4.3.0-3cp.x86_64.rpm (0)....@75.126.236.226......connected......receiving...1%...2%...3%...4%...5%...6%...7%...8%...9%...10%...11%...12%...13%...14%...15%...16%...17%...18%...19%...20%...21%...22%...23%...24%...25%...26%...27%...28%...29%...30%...31%...32%...33%...34%...35%...36%...37%...38%...39%...40%...41%...42%...43%...44%...45%...46%...47%...48%...49%...50%...51%...52%...53%...54%...55%...56%...57%...58%...59%...60%...61%...62%...63%...64%...65%...66%...67%...68%...69%...70%...71%...72%...73%...74%...75%...76%...77%...78%...79%...80%...81%...82%...83%...84%...85%...86%...87%...88%...89%...90%...91%...92%...93%...94%...95%...96%...97%...98%...99%...100%......Done
    Preparing... ##################################################
    courier-imap ##################################################
    Detected Courier Version from binary: MAJOR=4,MINOR=3,REVISION=0
    Disabled Enhanced IDLE. fam/gamin+inotify detected
    Using Native SSL support (stunnel not needed)
    Waiting for cppop to shutdown ... ...Done
    Waiting for cppop-ssl to shutdown ... ...Done

    Attempting to restart imap

    Waiting for imap to restart....
    finished.




    imap status

    root 19487 0.0 0.0 3752 352 ? S 05:29 0:00 /usr/sbin/courierlogger -pid=/var/run/imapd.pid -start -name=imapd /usr/lib/courier-imap/libexec/couriertcpd -address=0 -maxprocs=50 -maxperip=30 -nodnslookup -noidentlookup 143 /usr/lib/courier-imap/sbin/imaplogin /usr/lib/courier-imap/bin/imapd Maildir
    root 19488 0.0 0.0 7952 568 ? S 05:29 0:00 /usr/lib/courier-imap/libexec/couriertcpd -address=0 -maxprocs=50 -maxperip=30 -nodnslookup -noidentlookup 143 /usr/lib/courier-imap/sbin/imaplogin /usr/lib/courier-imap/bin/imapd Maildir
    root 19494 0.0 0.0 3752 352 ? S 05:29 0:00 /usr/sbin/courierlogger -pid=/var/run/imapd-ssl.pid -start -name=imapd-ssl /usr/lib/courier-imap/libexec/couriertcpd -address=0 -maxprocs=50 -maxperip=30 -nodnslookup -noidentlookup 993 /usr/lib/courier-imap/bin/couriertls -server -tcpd /usr/lib/courier-imap/sbin/imaplogin /usr/lib/courier-imap/bin/imapd Maildir
    root 19495 0.0 0.0 7956 568 ? S 05:29 0:00 /usr/lib/courier-imap/libexec/couriertcpd -address=0 -maxprocs=50 -maxperip=30 -nodnslookup -noidentlookup 993 /usr/lib/courier-imap/bin/couriertls -server -tcpd /usr/lib/courier-imap/sbin/imaplogin /usr/lib/courier-imap/bin/imapd Maildir
    root 19501 0.0 0.0 3756 356 ? S 05:29 0:00 /usr/sbin/courierlogger -pid=/var/run/pop3d.pid -start -name=pop3d /usr/lib/courier-imap/libexec/couriertcpd -address=0 -maxprocs=50 -maxperip=4 -nodnslookup -noidentlookup 110 /usr/lib/courier-imap/sbin/pop3login /usr/lib/courier-imap/bin/pop3d Maildir
    root 19502 0.0 0.0 7956 572 ? S 05:29 0:00 /usr/lib/courier-imap/libexec/couriertcpd -address=0 -maxprocs=50 -maxperip=4 -nodnslookup -noidentlookup 110 /usr/lib/courier-imap/sbin/pop3login /usr/lib/courier-imap/bin/pop3d Maildir
    root 19509 0.0 0.0 3752 352 ? S 05:29 0:00 /usr/sbin/courierlogger -pid=/var/run/pop3d-ssl.pid -start -name=pop3d-ssl /usr/lib/courier-imap/libexec/couriertcpd -address=0 -maxprocs=50 -maxperip=30 -nodnslookup -noidentlookup 995 /usr/lib/courier-imap/bin/couriertls -server -tcpd /usr/lib/courier-imap/sbin/pop3login /usr/lib/courier-imap/bin/pop3d Maildir
    root 19510 0.0 0.0 7956 572 ? S 05:29 0:00 /usr/lib/courier-imap/libexec/couriertcpd -address=0 -maxprocs=50 -maxperip=30 -nodnslookup -noidentlookup 995 /usr/lib/courier-imap/bin/couriertls -server -tcpd /usr/lib/courier-imap/sbin/pop3login /usr/lib/courier-imap/bin/pop3d Maildir
    root 19515 0.0 0.0 3752 432 ? S 05:29 0:00 /usr/sbin/courierlogger -pid=/var/spool/authdaemon/pid -facility=mail -start /usr/libexec/courier-authlib/authdaemond
    root 19516 0.0 0.0 16376 680 ? S 05:29 0:00 /usr/libexec/courier-authlib/authdaemond
    root 19517 0.0 0.0 16376 244 ? S 05:29 0:00 /usr/libexec/courier-authlib/authdaemond
    root 19518 0.0 0.0 16376 244 ? S 05:29 0:00 /usr/libexec/courier-authlib/authdaemond
    root 19519 0.0 0.0 16376 244 ? S 05:29 0:00 /usr/libexec/courier-authlib/authdaemond
    root 19520 0.0 0.0 16376 244 ? S 05:29 0:00 /usr/libexec/courier-authlib/authdaemond
    root 19521 0.0 0.0 16376 244 ? S 05:29 0:00 /usr/libexec/courier-authlib/authdaemond


    imap started ok
    Install Complete
    Exim (maildir) Setup Script Version 20.0
    Fetching version information from http://updates.cpanel.net/eximinstall/version (RELEASE)....Fetching http://updates.cpanel.net/eximinstall/version (0)....@75.126.236.226......connected......receiving...100%......Done
    Done
    This is the exim 4.68 installer release number 1 for platform centos 5
    exim is up to date. Use eximup --force to force a reinstall
    portsentry is up to date (Wed Mar 10 07:21:21 2004)
    Using newyum support...
    Loading "installonlyn" plugin
    Setting up Install Process
    Setting up repositories
    Reading repository metadata in from local files
    Excluding Packages in global exclude list
    Finished
    Parsing package install arguments
    Nothing to do

    Complete

    Well, since then i am getting the same thing every time i run Upgrade System Software. I tried to kill courier, force update, nothing helped.

    I am running: WHM 11.15.0 cPanel 11.18.5-R23897
    CENTOS Enterprise 5 x86_64 on virtuozzo - WHM X v3.1.0

    Thanks,

    Minas
     
  2. apn3a

    apn3a Member

    Joined:
    Oct 25, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    anyone any ideas please?:confused:
     
  3. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,461
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    What does

    Code:
    rpm -qa | grep -i courier
    
    output?
     
  4. apn3a

    apn3a Member

    Joined:
    Oct 25, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    [root@server ~]# rpm -qa | grep -i courier
    courier-imap-4.3.0-3cp
    courier-authlib-0.59.2-1cp
    courier-authlib-devel-0.60.2-1cp
    courier-authlib-0.60.2-1cp
    courier-imap-4.1.2-3cp
    courier-authlib-pipe-0.60.2-1cp
    [root@server ~]#
     
  5. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,461
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    Would you mind opening a complimentary support ticket so QA can determine why the older version is not being removed?

    You can open the complimentary ticket at:

    https://tickets.cpanel.net/submit/

    Mark the ticket: ATTN: QA Courier

    Thank you.
     
Loading...

Share This Page